# OgreScriptLexer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreDataStream.h"`
`#include "OgreStringConverter.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

struct | Ogre::ScriptToken
| This struct represents a token, which is an ID'd lexeme from the parsing input stream. More...
class | Ogre::ScriptLexer

## Typedefs

typedef SharedPtr < ScriptToken > | Ogre::ScriptTokenPtr
typedef std::vector < ScriptTokenPtr > | Ogre::ScriptTokenList
typedef SharedPtr < ScriptTokenList > | Ogre::ScriptTokenListPtr

## Enumerations

enum | { Ogre::TID_LBRACKET = 0, Ogre::TID_RBRACKET, Ogre::TID_COLON, Ogre::TID_VARIABLE, Ogre::TID_WORD, Ogre::TID_QUOTE, Ogre::TID_NEWLINE, Ogre::TID_UNKNOWN, Ogre::TID_END }
| These codes represent token IDs which are numerical translations of specific lexemes. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:51 2009